Better ListView Class Reference |

# BetterListViewCachedCollection(TItem) Members

BetterListViewCachedCollection(TItem) overview

#### Public Instance Properties

Count | Gets the number of elements contained in the collection.
IsReadOnly | Gets a value indicating whether the collection is read-only.
Item | Gets or sets the item at the specified index.

#### Public Instance Methods

Add | Adds an item to the collection.
AddRange | Add multiple items into this collection.
Clear | Removes all items from the collection.
Contains | Determines whether the collection contains a specific value.
CopyTo | Copies the elements of the collection to an array, starting at a particular array index.
EqualsContent | Check whether content of this collection is same as the content of the specified collection.
GetEnumerator | Returns an enumerator that iterates through the collection.
IndexOf | Determines the index of the specified item in the list.
Insert | Inserts an item to the list at the specified index.
Remove | Removes the first occurrence of the specified item from the collection.
RemoveAt | Removes the item at the specified index.
RemoveRange | Remove multiple items from this collection.
Set | Set different items as a content of this collection.

#### Protected Instance Constructors

BetterListViewCachedCollection(TItem) Constructor | Initializes a new instance of the BetterListViewCachedCollection(TItem) class.

#### Protected Instance Properties

CachedItems | Gets items viewed by this collection.
ListView | Gets the BetterListView instance that owns this collection.

#### Protected Instance Methods

CollectCachedItems | Recreated cached view by collecting items this collection should represent.

#### See Also

BetterListViewCachedCollection<TItem> Class | ComponentOwl.BetterListView Namespace